﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:1.9.2.1
//      SpecFlow Generator Version:1.9.0.0
//      Runtime Version:4.0.30319.1022
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace WSS.AAT.Scenarios.ClickAndCollect
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "1.9.2.1")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [NUnit.Framework.TestFixtureAttribute()]
    [NUnit.Framework.DescriptionAttribute("Cnc negative scenarios")]
    [NUnit.Framework.CategoryAttribute("Qod")]
    public partial class CncNegativeScenariosFeature
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
#line 1 "NegativeScenarios.feature"
#line hidden
        
        [NUnit.Framework.TestFixtureSetUpAttribute()]
        public virtual void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "Cnc negative scenarios", "As a store colleague\r\nI want to be sure that all negative click and collect scena" +
                    "rios are not processed", ProgrammingLanguage.CSharp, new string[] {
                        "Qod"});
            testRunner.OnFeatureStart(featureInfo);
        }
        
        [NUnit.Framework.TestFixtureTearDownAttribute()]
        public virtual void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        [NUnit.Framework.SetUpAttribute()]
        public virtual void TestInitialize()
        {
        }
        
        [NUnit.Framework.TearDownAttribute()]
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioSetup(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioStart(scenarioInfo);
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order cancellation with non existing product is not processed")]
        public virtual void ClickAndCollectOrderCancellationWithNonExistingProductIsNotProcessed()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order cancellation with non existing product is not processed", ((string[])(null)));
#line 6
this.ScenarioSetup(scenarioInfo);
#line 8
testRunner.Given("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 9
testRunner.When("cancellation with non existing product is requested", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 10
testRunner.Then("order cancellation is not processed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order with non Hybris source is not processed")]
        public virtual void ClickAndCollectOrderWithNonHybrisSourceIsNotProcessed()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order with non Hybris source is not processed", ((string[])(null)));
#line 12
this.ScenarioSetup(scenarioInfo);
#line 14
testRunner.Given("click and collect order is placed on a web site", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 15
testRunner.And("source is non Hybris", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 16
testRunner.When("fulfillment is requested", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 17
testRunner.Then("order is not processed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 18
testRunner.And("source field has validation error", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect orders are not processed during nightly routine")]
        public virtual void ClickAndCollectOrdersAreNotProcessedDuringNightlyRoutine()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect orders are not processed during nightly routine", ((string[])(null)));
#line 20
this.ScenarioSetup(scenarioInfo);
#line 22
testRunner.Given("nightly routine procedure is started", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 23
testRunner.And("click and collect order is placed on a web site", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 24
testRunner.When("fulfillment is requested", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 25
testRunner.Then("order is not processed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect orders are processed after nightly routine is finished")]
        public virtual void ClickAndCollectOrdersAreProcessedAfterNightlyRoutineIsFinished()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect orders are processed after nightly routine is finished", ((string[])(null)));
#line 27
this.ScenarioSetup(scenarioInfo);
#line 29
testRunner.Given("nightly routine procedure is finished", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 30
testRunner.And("click and collect order is placed on a web site", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 31
testRunner.When("fulfillment is requested", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 32
testRunner.Then("order is processed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect orders are included into financial reporting not depending on d" +
            "ate")]
        public virtual void ClickAndCollectOrdersAreIncludedIntoFinancialReportingNotDependingOnDate()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect orders are included into financial reporting not depending on d" +
                    "ate", ((string[])(null)));
#line 34
this.ScenarioSetup(scenarioInfo);
#line 36
testRunner.Given("all previous banking days are closed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 37
testRunner.And("click and collect order with yesterday date is fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 38
testRunner.And("nightly routine procedure is finished for yesterday", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 39
testRunner.And("one more click and collect order with yesterday date is fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 40
testRunner.And("click and collect order with today date is fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 41
testRunner.When("nightly routine procedure is finished for today", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 42
testRunner.Then("both last orders are included into financial reporting", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Orders with the same order numbers but different sources are processed")]
        public virtual void OrdersWithTheSameOrderNumbersButDifferentSourcesAreProcessed()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Orders with the same order numbers but different sources are processed", ((string[])(null)));
#line 44
this.ScenarioSetup(scenarioInfo);
#line 46
testRunner.Given("order is placed in selling store and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 47
testRunner.And("click and collect order with the same source order number is placed on a web site" +
                    "", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 48
testRunner.When("fulfillment is requested", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 49
testRunner.Then("order is processed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect orders with the same order numbers and sources are not processe" +
            "d")]
        public virtual void ClickAndCollectOrdersWithTheSameOrderNumbersAndSourcesAreNotProcessed()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect orders with the same order numbers and sources are not processe" +
                    "d", ((string[])(null)));
#line 51
this.ScenarioSetup(scenarioInfo);
#line 53
testRunner.Given("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 54
testRunner.And("click and collect order with the same source order number is placed on a web site" +
                    "", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 55
testRunner.When("fulfillment is requested", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 56
testRunner.Then("order is not processed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect orders with the same order numbers but different sources are pr" +
            "ocessed")]
        public virtual void ClickAndCollectOrdersWithTheSameOrderNumbersButDifferentSourcesAreProcessed()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect orders with the same order numbers but different sources are pr" +
                    "ocessed", ((string[])(null)));
#line 58
this.ScenarioSetup(scenarioInfo);
#line 60
testRunner.Given("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 61
testRunner.And("click and collect order with the same source order number but different source is" +
                    " placed on a web site", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 62
testRunner.When("fulfillment is requested", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 63
testRunner.Then("order is processed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order cancellation with non matching LineSku pair is not proces" +
            "sed")]
        public virtual void ClickAndCollectOrderCancellationWithNonMatchingLineSkuPairIsNotProcessed()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order cancellation with non matching LineSku pair is not proces" +
                    "sed", ((string[])(null)));
#line 65
this.ScenarioSetup(scenarioInfo);
#line 67
testRunner.Given("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 68
testRunner.When("cancellation with non matching line sku pair is requested", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 69
testRunner.Then("order cancellation is not processed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 70
testRunner.And("lineno field has validation error", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order cancellation with incorrect source is not processed")]
        public virtual void ClickAndCollectOrderCancellationWithIncorrectSourceIsNotProcessed()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order cancellation with incorrect source is not processed", ((string[])(null)));
#line 72
this.ScenarioSetup(scenarioInfo);
#line 74
testRunner.Given("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 75
testRunner.When("cancellation with the same order number but different source is requested", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 76
testRunner.Then("order cancellation is not processed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 77
testRunner.And("cancellation source field has validation error", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order cancellation without lines is not processed")]
        public virtual void ClickAndCollectOrderCancellationWithoutLinesIsNotProcessed()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order cancellation without lines is not processed", ((string[])(null)));
#line 79
this.ScenarioSetup(scenarioInfo);
#line 81
testRunner.Given("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 82
testRunner.When("cancellation without lines requested", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 83
testRunner.Then("order cancellation is not processed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 84
testRunner.And("refund total field has validation error", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect status update for store order is not processed")]
        public virtual void ClickAndCollectStatusUpdateForStoreOrderIsNotProcessed()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect status update for store order is not processed", ((string[])(null)));
#line 86
this.ScenarioSetup(scenarioInfo);
#line 88
testRunner.Given("order is placed in selling store and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 89
testRunner.When("click and collect status update with non Hybris source is requested", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 90
testRunner.Then("status update is not processed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 91
testRunner.And("status update source field has validation error", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Click and collect order status update with non existing state is not processed")]
        public virtual void ClickAndCollectOrderStatusUpdateWithNonExistingStateIsNotProcessed()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Click and collect order status update with non existing state is not processed", ((string[])(null)));
#line 93
this.ScenarioSetup(scenarioInfo);
#line 95
testRunner.Given("click and collect order is placed on a website and fulfilled in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 96
testRunner.When("store receives order status update with non existing state", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 97
testRunner.Then("status update is not processed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 98
testRunner.And("status update order status field has validation error", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Wickes hourly service order cancellation without lines and delivery charge refund" +
            " is not processed")]
        public virtual void WickesHourlyServiceOrderCancellationWithoutLinesAndDeliveryChargeRefundIsNotProcessed()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Wickes hourly service order cancellation without lines and delivery charge refund" +
                    " is not processed", ((string[])(null)));
#line 100
this.ScenarioSetup(scenarioInfo);
#line 101
testRunner.Given("wickes hourly service order with delivery charge is placed on a web site and fulf" +
                    "illed in the store", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 102
testRunner.When("cancellation without lines and delivery charge refund requested", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 103
testRunner.Then("order cancellation is not processed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 104
testRunner.And("refund total field has validation error", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
    }
}
#pragma warning restore
#endregion
